Skip to main content
GET
/
api
/
jobs
/
List Jobs
curl --request GET \
  --url https://api.merchantops.ai/api/jobs/
{
  "items": [
    {
      "failed_items": 123,
      "job_id": "<string>",
      "job_type": "<string>",
      "processed_items": 123,
      "progress_percentage": 123,
      "status": "<string>",
      "success_rate": 123,
      "total_items": 123,
      "completed_at": "<string>",
      "created_at": "<string>",
      "duration_seconds": 123,
      "error_message": "<string>",
      "errors": [
        {
          "entity_key": "<string>",
          "entity_type": "<string>",
          "error_type": "<string>",
          "message": "<string>",
          "timestamp": "<string>",
          "details": {},
          "step": "<string>"
        }
      ],
      "metadata": {},
      "started_at": "<string>",
      "triggered_by": "<string>",
      "warned_items": 0,
      "warnings": [
        {
          "entity_key": "<string>",
          "entity_type": "<string>",
          "error_type": "<string>",
          "message": "<string>",
          "timestamp": "<string>",
          "details": {},
          "step": "<string>"
        }
      ]
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

job_type
string | null

Filter by job type (enrichment or crawl)

status
string | null

Filter by status

triggered_by
string | null

Filter by user who triggered the job

limit
integer
default:50

Maximum results

Required range: 1 <= x <= 100
skip
integer
default:0

Number of items to skip

Required range: x >= 0

Cookies

stytch_session
string | null

Response

Successful Response

Response model for list of Jobs.

items
JobResponse · object[]
required
limit
integer
required
skip
integer
required
total
integer
required